Bug 144709 - Import skips some remote folders
Summary: Import skips some remote folders
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-10 21:26 UTC by Per Nystrom
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 16:44:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
evolution 1.4.6 %gconf.xml file (9.84 KB, text/plain)
2005-01-11 01:00 UTC, Per Nystrom
no flags Details
evolution 2.0.2 %gconf.xml file (10.31 KB, text/plain)
2005-01-11 01:01 UTC, Per Nystrom
no flags Details
evolution 2.0.2 %gconf.xml file (6.72 KB, text/plain)
2005-01-11 04:17 UTC, Per Nystrom
no flags Details

Description Per Nystrom 2005-01-10 21:26:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
When I imported from an FC2 installation, it completely skipped an
IMAP folder and an Exchange folder.  I had both evolution and
evolution-connector installed before I attempted the import, and it
imported other IMAP folders successfully.  I had a total of 5
different mail accounts in FC2: 1 POP, 3 IMAP, and 1 Exchange.  Of the
two successful IMAP imports, one was my default mail account and the
other had been disabled (intentionally, before the import).  All my
local folders imported successfully.


Version-Release number of selected component (if applicable):
evolution-2.0.2-3

How reproducible:
Didn't try


Actual Results:  Some mail folders weren't imported.

Expected Results:  All mail folders should be imported.

Additional info:

Comment 1 Dave Malcolm 2005-01-10 23:29:10 UTC
When you say "imported", was this a simple upgrade of an existing FC2
install to FC3, or did you do anything else?

Am I right in thinking the results were:
 - POP account: import went OK
 - IMAP account 1 (default): OK
 - IMAP account 2 (disabled): OK
 - IMAP account 3: failed
 - Exchange account: failed
 - Local folders: OK

For the accounts that fail, I take it that they fail to appear both in
the folder tree, and in the Tools->Settings->Mail Accounts list

Do you have backups of your home directory from before the upgrade?



Comment 2 Per Nystrom 2005-01-10 23:41:08 UTC
Yes to all of the above.  I also chose to save the old ~/evolution
directory after the import, so that's available as well.


Comment 3 Dave Malcolm 2005-01-11 00:00:34 UTC
The account settings are stored in GConf in /apps/evolution/mail
; the file is question is:  ~/.gconf/apps/evolution/mail/%gconf.xml

I'm interested in seeing a "before and after" view of this file, so if
you have a backup of your homedir from before the upgrade that would
be great.  You may want to peruse the data to check there's nothing
private before making it visible in Bugzilla (unfortunately it's an
XML file containing escaped XML, which is a pain).


Comment 4 Per Nystrom 2005-01-11 00:59:28 UTC
I'm attaching both files.  Hopefully they're still useful even after I
munged all my personal data out.  The boxes munged to imap[1-3]
correspond to IMAP accounts 1-3 above, so imap3 and exchange1 are the
ones that didn't import.


Comment 5 Per Nystrom 2005-01-11 01:00:44 UTC
Created attachment 109584 [details]
evolution 1.4.6 %gconf.xml file

Comment 6 Per Nystrom 2005-01-11 01:01:42 UTC
Created attachment 109585 [details]
evolution 2.0.2 %gconf.xml file

Comment 7 Per Nystrom 2005-01-11 01:05:02 UTC
Oh, nuts, I just realized that the 2.0.2 file is from after I
CORRECTED the missing mailboxes by re-adding them.  I'll have to
repeat the procedure to get you something useful, since obviously the
mailboxes exist NOW.  :(

Hopefully I'll have time to do that later tonight.


Comment 8 Per Nystrom 2005-01-11 04:17:01 UTC
Created attachment 109592 [details]
evolution 2.0.2 %gconf.xml file

This is what it looks like immediately after the import, before I fix up any
missing folders.  Interesting that there seem to still be a lot of references
to my old home directory, /home/users/centaur; I would expect that after the
import it would point everything to where it put it in the new home directory,
/home/centaur.

Comment 10 Matthew Miller 2006-07-10 22:45:39 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 11 Matthew Barnes 2007-01-02 12:26:31 UTC
Is this problem still present on Fedora Core 6 or later?

Comment 12 Per Nystrom 2007-01-02 16:44:01 UTC
I've had no trouble since I went to FC4.  We can close this bug.


Note You need to log in before you can comment on or make changes to this bug.